Package Details: cinnamon-git 4.2.0.r3.g4d1da807e-1

Git Clone URL: https://aur.archlinux.org/cinnamon-git.git (read-only)
Package Base: cinnamon-git
Description: Linux desktop which provides advanced innovative features and a traditional user experience
Upstream URL: https://github.com/linuxmint/cinnamon
Licenses: GPL2
Conflicts: cinnamon
Provides: cinnamon=4.2.0.r3.g4d1da807e
Submitter: chenxiaolong
Maintainer: eschwartz
Last Packager: eschwartz
Votes: 90
Popularity: 0.035666
First Submitted: 2011-12-21 05:54
Last Updated: 2019-07-03 20:33

Required by (31)

Sources (4)

Latest Comments

« First ‹ Previous ... 22 23 24 25 26 27 28 29 30 31 32 ... Next › Last »

eugenez commented on 2012-01-16 18:43

for correct start the cinnamon session need to run "sudo +x /usr/bin/gnome-session-cinnamon"

Anonymous comment on 2012-01-16 17:54

Show Desktop is now an applet. Seems like cinnamon-applets-git package is needed :-)

chenxiaolong commented on 2012-01-16 17:35

NOTE: To everyone who installed Cinnaman before 2011-01-16: cinnamon-git will have to be removed prior to upgrading because I've switched to the upstream session files, which conflict with my previous session files.

chenxiaolong commented on 2012-01-16 17:33

@krzd: I didn't know know that the upstream already had session files...could have saved me some time from writing my own :D I've moved 'gnome-common' to the build dependencies and removed 'telepathy-mission-control' from the dependencies.

Anonymous comment on 2012-01-16 14:06

Wouldn't it be better to create a cinnamon-session-git package (cinnamon-session is available on github, too) instead of adding the session files manually? This would give us the session files plus a session starting script, which might get more useful in the future, if more parts will be created. Also this would be the offical way to do it.

Edit: telepathy-mission-control is not needed anymore and gnome-common is only needed for building, not for running.

Ner0 commented on 2012-01-14 14:35

Try re/installing librsvg and see if it works

Anonymous comment on 2012-01-14 12:39

I have installed cinnamon-git today via yaourt. Trying to run cinnamon-settings I get a similar error:

/usr/lib/python2.7/site-packages/gobject/constants.py:24: Warning: g_boxed_type_register_static: assertion `g_type_from_name (name) == 0' failed
import gobject._gobject

(cinnamon-settings.py:1286): Gtk-WARNING **: gtk_scrolled_window_add(): cannot add non scrollable widget use gtk_scrolled_window_add_with_viewport() instead

(cinnamon-settings.py:1286): Gtk-CRITICAL **: gtk_scrollable_get_vscroll_policy: assertion `GTK_IS_SCROLLABLE (scrollable)' failed

(cinnamon-settings.py:1286): Gtk-CRITICAL **: gtk_scrollable_get_hscroll_policy: assertion `GTK_IS_SCROLLABLE (scrollable)' failed

(cinnamon-settings.py:1286): Gtk-CRITICAL **: gtk_scrollable_get_vscroll_policy: assertion `GTK_IS_SCROLLABLE (scrollable)' failed

(cinnamon-settings.py:1286): Gtk-CRITICAL **: gtk_scrollable_get_hscroll_policy: assertion `GTK_IS_SCROLLABLE (scrollable)' failed

Traceback (most recent call last):
File "/usr/lib/cinnamon-settings/cinnamon-settings.py", line 377, in
<module>
MainWindow()
File "/usr/lib/cinnamon-settings/cinnamon-settings.py", line 355, in
__init__
img = GdkPixbuf.Pixbuf.new_from_file_at_size(
"/usr/lib/cinnamon-settings/data/icons/%s" % sidePage.icon, 48, 48)
File "/usr/lib/python2.7/site-packages/gi/types.py", line 72, in constructor
return info.invoke(cls, *args, **kwargs)
gi._glib.GError: Unrecognized image file format

Raist commented on 2012-01-13 22:59

Thank you krzd

Anonymous comment on 2012-01-13 22:35

@Raist That means that your cinnamon installation is outdated. Hope you used the latest version of cinnamon from git. Since cinnamon-settings changes settings of cinnamon and was introduced with no stable release of cinnamon.

Raist commented on 2012-01-13 21:29

/usr/bin/cinnamon-settings
/usr/lib/python2.7/site-packages/gobject/constants.py:24: Warning: g_boxed_type_register_static: assertion `g_type_from_name (name) == 0' failed
import gobject._gobject

(cinnamon-settings.py:5043): Gtk-WARNING **: gtk_scrolled_window_add(): cannot add non scrollable widget use gtk_scrolled_window_add_with_viewport() instead

(cinnamon-settings.py:5043): Gtk-CRITICAL **: gtk_scrollable_get_vscroll_policy: assertion `GTK_IS_SCROLLABLE (scrollable)' failed

(cinnamon-settings.py:5043): Gtk-CRITICAL **: gtk_scrollable_get_hscroll_policy: assertion `GTK_IS_SCROLLABLE (scrollable)' failed

(cinnamon-settings.py:5043): Gtk-CRITICAL **: gtk_scrollable_get_vscroll_policy: assertion `GTK_IS_SCROLLABLE (scrollable)' failed

(cinnamon-settings.py:5043): Gtk-CRITICAL **: gtk_scrollable_get_hscroll_policy: assertion `GTK_IS_SCROLLABLE (scrollable)' failed

GLib-GIO-ERROR **: Settings schema 'org.cinnamon' does not contain a key named 'desktop-layout'